Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686585 - Task set_loopback_context.yml sets context.user to the wrong name for openshift-master.kubeconfig
Summary: Task set_loopback_context.yml sets context.user to the wrong name for openshi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.10.z
Assignee: Russell Teague
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1675133 1686587
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 18:39 UTC by Russell Teague
Modified: 2019-04-09 23:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a cluster is installed the username in the loopback kubeconfig is equal to hostname of that local master. This changes the variable to equal a value of what would originally be set.
Clone Of: 1675133
Environment:
Last Closed: 2019-04-09 23:40:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0620 None None None 2019-04-09 23:40:47 UTC

Comment 1 Russell Teague 2019-03-07 18:40:38 UTC
Merged: https://github.com/openshift/openshift-ansible/pull/11170

Comment 2 Russell Teague 2019-03-11 15:25:17 UTC
In build openshift-ansible-3.10.124-1

Comment 4 ge liu 2019-03-20 06:19:09 UTC
Verified with: openshift-ansible-3.10.127-1.git.0.131da09.el7.noarch.rpm
after run upgrade(trigger the playbook: execution), the user's hostname have not be changed:

- context:
    cluster: qe-geliu310master-etcd-1:443
    namespace: default
    user: system:openshift-master/qe-geliu310master-etcd-1:443
  name: default/qe-geliu310master-etcd-1:443/system:openshift-master

Comment 6 errata-xmlrpc 2019-04-09 23:40:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0620


Note You need to log in before you can comment on or make changes to this bug.